#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


# required stuff
find_package( TQt )
find_package( TDE )

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


##### check for gcc visibility support
if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( WITH_GCC_VISIBILITY )


##### enable code tracing
if( WITH_TRACING )
  add_definitions( -DENABLE_TRACING )
endif ( )


# check required packages
pkg_search_module( XMU xmu )
if( NOT XMU_FOUND )
  tde_message_fatal( "xmu is required, but was not found on your system" )
endif( )

pkg_search_module( XPM xpm )
if( NOT XPM_FOUND )
  tde_message_fatal( "xpm is required, but was not found on your system" )
endif( )
